Bug 473790 - Missing jasper-jdt.jar
Missing jasper-jdt.jar
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tomcat6 (Show other bugs)
18
All Linux
medium Severity high
: ---
: ---
Assigned To: David Walluck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-30 11:11 EST by Daniel Hodan
Modified: 2013-03-25 15:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: tomcat6-6.0.36-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:03:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Hodan 2008-11-30 11:11:07 EST
Description of problem:
No page is rendered. Tomcat throws error message says: "SEVERE: Servlet.service() for servlet jsp threw exception java.lang.IllegalStateException: No Java compiler available"

Additional info:
The workaround is obvious, download Tomcat 6.0.18 from apache site, unpack, cp ~/apache-tomcat-6.0.18/lib/jasper-jdt.jar /usr/share/tomcat6/lib/ and restart Tomcat.

Packages:
tomcat6-jsp-2.1-api-6.0.18-6.2.fc10.noarch
tomcat6-lib-6.0.18-6.2.fc10.noarch
tomcat6-docs-webapp-6.0.18-6.2.fc10.noarch
tomcat6-servlet-2.5-api-6.0.18-6.2.fc10.noarch
tomcat6-6.0.18-6.2.fc10.noarch
tomcat6-admin-webapps-6.0.18-6.2.fc10.noarch
tomcat6-webapps-6.0.18-6.2.fc10.noarch
Comment 1 Bug Zapper 2009-11-18 03:00:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 02:03:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 David Knox 2013-03-25 15:29:43 EDT
changed to CURRENTRELEASE to reflect this issue does not exist in tomcat6-6.0.36-1.f18

Note You need to log in before you can comment on or make changes to this bug.